<?php

declare(strict_types=1);

namespace App\Service;

use App\Repository\TblAspiranteFavoritoUsuarioRepository;

final class TblAspiranteFavoritoUsuarioService
{
    private TblAspiranteFavoritoUsuarioRepository $TblAspiranteFavoritoUsuarioRepository;

    public function __construct(TblAspiranteFavoritoUsuarioRepository $TblAspiranteFavoritoUsuarioRepository)
    {
        $this->TblAspiranteFavoritoUsuarioRepository = $TblAspiranteFavoritoUsuarioRepository;
    }

    public function checkAndGet(int $TblAspiranteFavoritoUsuarioId): object
    {
        return $this->TblAspiranteFavoritoUsuarioRepository->checkAndGet($TblAspiranteFavoritoUsuarioId);
    }

    public function getAll(): array
    {
        return $this->TblAspiranteFavoritoUsuarioRepository->getAll();
    }

    public function getOne(int $TblAspiranteFavoritoUsuarioId): object
    {
        return $this->checkAndGet($TblAspiranteFavoritoUsuarioId);
    }

    public function create(array $input): object
    {
        $TblAspiranteFavoritoUsuario = json_decode((string) json_encode($input), false);

        return $this->TblAspiranteFavoritoUsuarioRepository->create($TblAspiranteFavoritoUsuario);
    }

    public function update(array $input, int $TblAspiranteFavoritoUsuarioId): object
    {
        $TblAspiranteFavoritoUsuario = $this->checkAndGet($TblAspiranteFavoritoUsuarioId);
        $data = json_decode((string) json_encode($input), false);

        return $this->TblAspiranteFavoritoUsuarioRepository->update($TblAspiranteFavoritoUsuario, $data);
    }

    public function delete(int $TblAspiranteFavoritoUsuarioId): void
    {
        $this->checkAndGet($TblAspiranteFavoritoUsuarioId);
        $this->TblAspiranteFavoritoUsuarioRepository->delete($TblAspiranteFavoritoUsuarioId);
    }
}
